import tkinter as tk

# Function to create buttons dynamically and assign actions
def create_button(window, text, action):
    button = tk.Button(window, text=text, command=action)
    button.pack(pady=10)

# Define example actions to assign to buttons
def my_function1():
    print("Button 1 pressed")

def my_function2():
    print("Button 2 pressed")

def my_function3():
    print("Button 3 pressed")

# Create the main window
root = tk.Tk()
root.title("Dynamic Button Assignment")

# Define the button texts and the corresponding functions
button_data = [
    ("Trigger Function 1", my_function1),
    ("Trigger Function 2", my_function2),
    ("Trigger Function 3", my_function3)
]

# Create buttons using the defined text and actions
for text, action in button_data:
    create_button(root, text, action)

# Start the GUI event loop
root.mainloop()
